People
Search
Returns all people matching the requested query. Does not include Admins. Requires read permissions.
GET
/
people
cURL
curl --request GET \
--url https://membership.sjaa.net/api/people \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"active": "<string>",
"discord_id": "<string>",
"has_discord": true,
"has_telescopius": true
}
'import requests
url = "https://membership.sjaa.net/api/people"
payload = {
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"active": "<string>",
"discord_id": "<string>",
"has_discord": True,
"has_telescopius": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
first_name: '<string>',
last_name: '<string>',
active: '<string>',
discord_id: '<string>',
has_discord: true,
has_telescopius: true
})
};
fetch('https://membership.sjaa.net/api/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<array>",
"contacts": "<array>",
"memberships": "<array>",
"first_name": "<string>",
"last_name": "<string>",
"discord_id": "<string>"
}
]{
"errors": [
"<string>"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Filter by given email address.
Filter by given first name.
Filter by given last name.
People with a current membership.
Allowed value:
"yes"Filter by given Discord user ID.
Filter by the presence of a Discord user ID.
Filter by the presence of a Telescopius user ID.
Response
Array of people.
⌘I
cURL
